rpm 4.11.1-rc1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
pgpPktKeyV4_s Struct Reference
OpenPGP API.

The version 4 format is similar to the version 3 format except for the absence of a validity period. More...

`#include <rpmpgp.h>`

## Data Fields
uint8_t | version
pgpTime_t | time
uint8_t | pubkey_algo

## Detailed Description

The version 4 format is similar to the version 3 format except for the absence of a validity period.

This has been moved to the signature packet. In addition, fingerprints of version 4 keys are calculated differently from version 3 keys, as described in section "Enhanced Key Formats."

A version 4 packet contains:

- A one-octet version number (4).
- A four-octet number denoting the time that the key was created.
- A one-octet number denoting the public key algorithm of this key

- A series of multi-precision integers comprising the key material. This algorithm-specific portion is:

  Algorithm Specific Fields for RSA public keys:

  - multiprecision integer (MPI) of RSA public modulus n;
  - MPI of RSA public encryption exponent e.

  Algorithm Specific Fields for DSA public keys:

  - MPI of DSA prime p;
  - MPI of DSA group order q (q is a prime divisor of p-1);
  - MPI of DSA group generator g;
  - MPI of DSA public key value y (= g**x where x is secret).

  Algorithm Specific Fields for Elgamal public keys:

  - MPI of Elgamal prime p;
  - MPI of Elgamal group generator g;
  - MPI of Elgamal public key value y (= g**x where x is secret).

Definition at line 644 of file rpmpgp.h.

## Field Documentation

uint8_t pgpPktKeyV4_s::pubkey_algo

public key algorithm.

Definition at line 647 of file rpmpgp.h.

pgpTime_t pgpPktKeyV4_s::time

time that the key was created.

Definition at line 646 of file rpmpgp.h.

uint8_t pgpPktKeyV4_s::version

version number (4).

Definition at line 645 of file rpmpgp.h.

The documentation for this struct was generated from the following file:

- rpmpgp.h